package com.fuzamei.service.serviceImpl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fuzamei.constant.Roles;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.CarrierMapper;
import com.fuzamei.mapperInterface.ReceivingClerkMapper;
import com.fuzamei.service.CarrierService;
@Service
public class CarrierServiceImpl implements  CarrierService{
	@Autowired
	private CarrierMapper  carrierMapper;
	@Autowired
	private ReceivingClerkMapper receivingClerkMapper;
	
	@Override
	public List<User> queryCarriers(Map<String, Object> map) {
		 List<User>  user= null; 
		 Integer user_id=(Integer) map.get("user_id");
			String role=receivingClerkMapper.selectRoleByUserId(user_id);//通过用户id查询角色   如果角色是管理员就可以看查看承运商列表
			if (Roles.ADMIN.equals(role)) {
				user=carrierMapper.queryCarriers(map);
			}
			else {
				throw  new RuntimeException("只能管理员查看");
			}
			 return user;
			// 这几个列表判断  待改
	}

}
