package com.fuzamei.service.serviceImpl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fuzamei.constant.Roles;
import com.fuzamei.entity.Role;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.ReceivingClerkMapper;
import com.fuzamei.service.ReceivingClerkService;

@Service
public class ReceivingClerkServiceImpl implements  ReceivingClerkService{
	@Autowired
	private ReceivingClerkMapper receivingClerkMapper;

	
	@Override
	public List<User> queryReceivingClerk(Map<String, Object> map) {
	    List<User>  user= null; 
	    Integer user_id=(Integer) map.get("user_id");
		//System.out.println(username+"kkkkk");
		String role=receivingClerkMapper.selectRoleByUserId(user_id);//通过用户id查询角色   如果角色是管理员就可以看查看收货员列表
	    System.out.println(role+"lllllll");
		if (Roles.ADMIN.equals(role)) {
			user=receivingClerkMapper.queryReceivingClerk(map);
		}
		else {
			throw  new RuntimeException("只能管理员查看");
		}
		 return user;
		// 这几个列表判断  待改
	}
	
	/**
	 * 根据用户id查询角色  test
	 */
	@Override
	public String  selectRoleByUserId(int user_id) {
		
		return receivingClerkMapper.selectRoleByUserId(user_id);
	}
	
	
}
